/**
 * Represents an alternate mailbox.
 * @sealed
 */
export declare class AlternateMailbox {
    private type;
    private displayName;
    private legacyDN;
    private server;
    private smtpAddress;
    private ownerSmtpAddress;
    /**
     * Gets the alternate mailbox type.
     */
    get Type(): string;
    /**
     * Gets the alternate mailbox display name.
     */
    get DisplayName(): string;
    /**
     * Gets the alternate mailbox legacy DN.
     */
    get LegacyDN(): string;
    /**
     * Gets the alernate mailbox server.
     */
    get Server(): string;
    /**
     * Gets the alternate mailbox address.
     * It has value only when Server and LegacyDN is empty.
     */
    get SmtpAddress(): string;
    /**
     * Gets the alternate mailbox owner SmtpAddress.
     */
    get OwnerSmtpAddress(): string;
    /**
     * Initializes a new instance of the **AlternateMailbox** class.
     */
    private constructor();
}
