import { AutodiscoverErrorCode } from "../../Enumerations/AutodiscoverErrorCode";
import { Uri } from "../../Uri";
/**
 * Represents the base class for all responses returned by the Autodiscover service.
 */
export declare abstract class AutodiscoverResponse {
    private errorCode;
    private errorMessage;
    private redirectionUrl;
    /**
     * Gets the error code that was returned by the service.
     */
    get ErrorCode(): AutodiscoverErrorCode;
    /**
     * Gets the error message that was returned by the service.
     */
    get ErrorMessage(): string;
    set RedirectionUrl(value: Uri);
}
