import { DateTime } from "../DateTime";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Encapsulates information on the changehighlights of a meeting request.
 *
 * @sealed
 */
export declare class ChangeHighlights extends ComplexProperty {
    private hasLocationChanged;
    private location;
    private hasStartTimeChanged;
    private start;
    private hasEndTimeChanged;
    private end;
    /**
     * Gets a value indicating whether the location has changed.
     */
    get HasLocationChanged(): boolean;
    /**
     * Gets the old location
     */
    get Location(): string;
    /**
     * Gets a value indicating whether the the start time has changed.
     */
    get HasStartTimeChanged(): boolean;
    /**
     * Gets the old start date and time of the meeting.
     */
    get Start(): DateTime;
    /**
     * Gets a value indicating whether the the end time has changed.
     */
    get HasEndTimeChanged(): boolean;
    /**
     * Gets the old end date and time of the meeting.
     */
    get End(): DateTime;
}
