import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents a ClientAppMetadata object.
 *
 * @sealed
 */
export declare class ClientAppMetadata extends ComplexProperty {
    /**
     * The End node url for the app.
     *
     * @private set
     */
    EndNodeUrl: string;
    /**
     * The action url for the app.
     *
     * @private set
     */
    ActionUrl: string;
    /**
     * The app status for the app.
     *
     * @private set
     */
    AppStatus: string;
    /**
     * Initializes a new instance of the **ClientAppMetadata** class.
     */
    constructor();
}
