import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the complete name of a contact.
 */
export declare class CompleteName extends ComplexProperty {
    private title;
    private givenName;
    private middleName;
    private surname;
    private suffix;
    private initials;
    private fullName;
    private nickname;
    private yomiGivenName;
    private yomiSurname;
    /**
     * Gets the contact's title.
     */
    get Title(): string;
    /**
     * Gets the given name (first name) of the contact.
     */
    get GivenName(): string;
    /**
     * Gets the middle name of the contact.
     */
    get MiddleName(): string;
    /**
     * Gets the surname (last name) of the contact.
     */
    get Surname(): string;
    /**
     * Gets the suffix of the contact.
     */
    get Suffix(): string;
    /**
     * Gets the initials of the contact.
     */
    get Initials(): string;
    /**
     * Gets the full name of the contact.
     */
    get FullName(): string;
    /**
     * Gets the nickname of the contact.
     */
    get NickName(): string;
    /**
     * Gets the Yomi given name (first name) of the contact.
     */
    get YomiGivenName(): string;
    /**
     * Gets the Yomi surname (last name) of the contact.
     */
    get YomiSurname(): string;
}
