import { Item } from "../Core/ServiceObjects/Items/Item";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the response to a GetConversationItems operation.
 *
 * @sealed
 */
export declare class ConversationNode extends ComplexProperty {
    private propertySet;
    /**
     * Gets or sets the Internet message id of the node.
     */
    InternetMessageId: string;
    /**
     * Gets or sets the Internet message id of the parent node.
     */
    ParentInternetMessageId: string;
    /**
     * Gets or sets the items.
     */
    Items: Item[];
    /**
     * Gets the item instance.
     *
     * @param   {ExchangeService}   service          The service.
     * @param   {string}            xmlElementName   Name of the XML element.
     * @return  {Item}              Item.
     */
    private GetObjectInstance;
}
