import { ConversationId } from "./ConversationId";
import { ISelfValidate } from "../Interfaces/ISelfValidate";
import { ComplexProperty } from "./ComplexProperty";
/**
 *
 *
 * @sealed
 */
export declare class ConversationRequest extends ComplexProperty implements ISelfValidate {
    /**
     * Gets or sets the conversation id.
     */
    ConversationId: ConversationId;
    /**
     * Gets or sets the sync state representing the current state of the conversation for synchronization purposes.
     */
    SyncState: string;
    /**
     * Initializes a new instance of the **ConversationRequest** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **ConversationRequest** class.
     *
     * @param   {ConversationId}    conversationId   The conversation id.
     * @param   {string}            syncState        State of the sync.
     */
    constructor(conversationId: ConversationId, syncState: string);
}
