import { Rule } from "./Rule";
import { RuleOperation } from "./RuleOperation";
/**
 * Represents an operation to create a new rule.
 *
 * @sealed
 */
export declare class CreateRuleOperation extends RuleOperation {
    /**
     * Inbox rule to be created.
     */
    private rule;
    /**
     * Gets or sets the rule to be created.
     */
    get Rule(): Rule;
    set Rule(value: Rule);
    /**
     * Initializes a new instance of the **CreateRuleOperation** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **CreateRuleOperation** class.
     *
     * @param   {Rule}   rule   The inbox rule to create.
     */
    constructor(rule: Rule);
}
