import { DelegateFolderPermissionLevel } from "../Enumerations/DelegateFolderPermissionLevel";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the permissions of a delegate user.
 *
 * @sealed
 */
export declare class DelegatePermissions extends ComplexProperty {
    private delegateFolderPermissions;
    /**
     * Gets or sets the delegate user's permission on the principal's calendar.
     */
    get CalendarFolderPermissionLevel(): DelegateFolderPermissionLevel;
    set CalendarFolderPermissionLevel(value: DelegateFolderPermissionLevel);
    /**
     * Gets or sets the delegate user's permission on the principal's tasks folder.
     */
    get TasksFolderPermissionLevel(): DelegateFolderPermissionLevel;
    set TasksFolderPermissionLevel(value: DelegateFolderPermissionLevel);
    /**
     * Gets or sets the delegate user's permission on the principal's inbox.
     */
    get InboxFolderPermissionLevel(): DelegateFolderPermissionLevel;
    set InboxFolderPermissionLevel(value: DelegateFolderPermissionLevel);
    /**
     * Gets or sets the delegate user's permission on the principal's contacts folder.
     */
    get ContactsFolderPermissionLevel(): DelegateFolderPermissionLevel;
    set ContactsFolderPermissionLevel(value: DelegateFolderPermissionLevel);
    /**
     * Gets or sets the delegate user's permission on the principal's notes folder.
     */
    get NotesFolderPermissionLevel(): DelegateFolderPermissionLevel;
    set NotesFolderPermissionLevel(value: DelegateFolderPermissionLevel);
    /**
     * Gets or sets the delegate user's permission on the principal's journal folder.
     */
    get JournalFolderPermissionLevel(): DelegateFolderPermissionLevel;
    set JournalFolderPermissionLevel(value: DelegateFolderPermissionLevel);
    /**
     * Write permission to Xml.
     *
     * @param   {EwsServiceXmlWriter}   writer           The writer.
     * @param   {string}                xmlElementName   The element name.
     */
    private WritePermissionToXml;
}
