import { RuleOperation } from "./RuleOperation";
/**
 * Represents an operation to delete an existing rule.
 *
 * @sealed
 */
export declare class DeleteRuleOperation extends RuleOperation {
    /**
     * Id of the inbox rule to delete.
     */
    private ruleId;
    /**
     * Gets or sets the Id of the rule to delete.
     */
    get RuleId(): string;
    set RuleId(value: string);
    /**
     * Initializes a new instance of the **DeleteRuleOperation** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **DeleteRuleOperation** class.
     *
     * @param   {string}   ruleId   The Id of the inbox rule to delete.
     */
    constructor(ruleId: string);
}
