import { DateTime } from "../DateTime";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Encapsulates information on the deleted occurrence of a recurring appointment.
 */
export declare class DeletedOccurrenceInfo extends ComplexProperty {
    /**
     * The original start date and time of the deleted occurrence.
     *
     * /remarks/    The EWS schema contains a Start property for deleted occurrences but it's really the original start date and time of the occurrence.
     */
    private originalStart;
    /**
     * Gets the original start date and time of the deleted occurrence.
     */
    get OriginalStart(): DateTime;
}
