import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents an entry of a DictionaryProperty object.
 * @remarks All descendants of DictionaryEntryProperty must implement a parameterless constructor. That constructor does not have to be public.
 * @typeparam   {TKey}     The type of the key used by this dictionary.
 * [EditorBrowsable(EditorBrowsableState.Never)]
 */
export declare class DictionaryEntryProperty<TKey> extends ComplexProperty {
    /** ews-javascript-api specific workaround for inheritance */
    protected keyType: any;
    private key;
    /**
     * Gets or sets the key.
     * @value   The key.
     */
    get Key(): TKey;
    set Key(value: TKey);
}
