import { PersonaPostalAddress } from "./PersonaPostalAddress";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents Enhanced Location.
 */
export declare class EnhancedLocation extends ComplexProperty {
    private displayName;
    private annotation;
    private personaPostalAddress;
    /**
     * Gets or sets the Location DisplayName.
     */
    get DisplayName(): string;
    set DisplayName(value: string);
    /**
     * Gets or sets the Location Annotation.
     */
    get Annotation(): string;
    set Annotation(value: string);
    /**
     * Gets or sets the Persona Postal Address.
     */
    get PersonaPostalAddress(): PersonaPostalAddress;
    set PersonaPostalAddress(value: PersonaPostalAddress);
    /**
     * Initializes a new instance of the **EnhancedLocation** class.
     *
     * @param   {string}   displayName            The location DisplayName.
     */
    constructor(displayName: string);
    /**
     * Initializes a new instance of the **EnhancedLocation** class.
     *
     * @param   {string}   displayName            The location DisplayName.
     * @param   {string}   annotation             The annotation on the location.
     */
    constructor(displayName: string, annotation: string);
    /**
     * Initializes a new instance of the **EnhancedLocation** class.
     *
     * @param   {string}                displayName            The location DisplayName.
     * @param   {string}                annotation             The annotation on the location.
     * @param   {PersonaPostalAddress}  personaPostalAddress   The persona postal address.
     */
    constructor(displayName: string, annotation: string, personaPostalAddress: PersonaPostalAddress);
    /**
     * PersonaPostalAddress OnChange.
     *
     * @param   {ComplexProperty}   complexProperty   ComplexProperty object.
     */
    private PersonaPostalAddress_OnChange;
}
