import { AddressEntityCollection } from "./AddressEntityCollection";
import { ContactEntityCollection } from "./ContactEntityCollection";
import { EmailAddressEntityCollection } from "./EmailAddressEntityCollection";
import { MeetingSuggestionCollection } from "./MeetingSuggestionCollection";
import { PhoneEntityCollection } from "./PhoneEntityCollection";
import { TaskSuggestionCollection } from "./TaskSuggestionCollection";
import { UrlEntityCollection } from "./UrlEntityCollection";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents an EntityExtractionResult object.
 */
export declare class EntityExtractionResult extends ComplexProperty {
    /**
     * Gets the extracted Addresses.
     */
    Addresses: AddressEntityCollection;
    /**
     * Gets the extracted MeetingSuggestions.
     */
    MeetingSuggestions: MeetingSuggestionCollection;
    /**
     * Gets the extracted TaskSuggestions.
     */
    TaskSuggestions: TaskSuggestionCollection;
    /**
     * Gets the extracted EmailAddresses.
     */
    EmailAddresses: EmailAddressEntityCollection;
    /**
     * Gets the extracted Contacts.
     */
    Contacts: ContactEntityCollection;
    /**
     * Gets the extracted Urls.
     */
    Urls: UrlEntityCollection;
    /**
     * Gets the extracted PhoneNumbers
     */
    PhoneNumbers: PhoneEntityCollection;
}
