import { Attachment } from "./Attachment";
/**
 * Represents a file attachment.
 */
export declare class FileAttachment extends Attachment {
    private fileName;
    private base64Content;
    private isContactPhoto;
    /**
     * Gets the name of the file the attachment is linked to.
     */
    get FileName(): string;
    set FileName(value: string);
    /**
     * Gets the base64 content of the attachment into memory. Content is set only when Load() is called.
     */
    get Base64Content(): string;
    set Base64Content(value: string);
    /**
     * Gets or sets a value indicating whether this attachment is a contact photo.
     */
    get IsContactPhoto(): boolean;
    set IsContactPhoto(value: boolean);
    ReadElementsFromXmlJsObjectToPatch(reader: any): boolean;
}
