import { DateTime } from "../DateTime";
import { ItemFlagStatus } from "../Enumerations/ItemFlagStatus";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Encapsulates information on the occurrence of a recurring appointment.
 */
export declare class Flag extends ComplexProperty {
    private flagStatus;
    private startDate;
    private dueDate;
    private completeDate;
    /**
     * Gets or sets the flag status.
     */
    get FlagStatus(): ItemFlagStatus;
    set FlagStatus(value: ItemFlagStatus);
    /**
     * Gets the start date.
     */
    get StartDate(): DateTime;
    set StartDate(value: DateTime);
    /**
     * Gets the due date.
     */
    get DueDate(): DateTime;
    set DueDate(value: DateTime);
    /**
     * Gets the complete date.
     */
    get CompleteDate(): DateTime;
    set CompleteDate(value: DateTime);
    /**
     * Initializes a new instance of the **Flag** class.
     */
    constructor();
}
