import { InternetMessageHeader } from "./InternetMessageHeader";
import { ComplexPropertyCollection } from "./ComplexPropertyCollection";
/**
 * Represents a collection of Internet message headers.
 */
export declare class InternetMessageHeaderCollection extends ComplexPropertyCollection<InternetMessageHeader> {
    /**
     * Find a specific header in the collection.
     *
     * @param   {string}   name   The name of the header to locate.
     * @return  {InternetMessageHeader}     An InternetMessageHeader representing the header with the specified name; null if no header with the specified name was found.
     */
    Find(name: string): InternetMessageHeader;
}
