import { Item } from "../Core/ServiceObjects/Items/Item";
import { BodyType } from "../Enumerations/BodyType";
import { PropertyDefinitionBase } from "../PropertyDefinitions/PropertyDefinitionBase";
import { Attachment } from "./Attachment";
/**
 * Represents an item attachment.
 */
export declare class ItemAttachment extends Attachment {
    /**
     * The item associated with the attachment.
     */
    protected item: Item;
    /**
     * Gets the item associated with the attachment.
     */
    get Item(): Item;
    set Item(value: Item);
    /** to workaround base.Item property accessor of c# //ref: //info: */
    protected _setItem(value: Item): void;
    /**
     * Implements the OnChange event handler for the item associated with the attachment.
     *
     * @param   {ServiceObject}   serviceObject   The service object that triggered the OnChange event.
     */
    private ItemChanged;
    /**
     * Loads this attachment.
     *
     * @param   {PropertyDefinitionBase[]}   additionalProperties   The optional additional properties to load.
     */
    Load(additionalProperties?: PropertyDefinitionBase[]): Promise<void>;
    /**
     * Loads this attachment.
     *
     * @param   {BodyType}   bodyType               The body type to load.
     * @param   {PropertyDefinitionBase[]}   additionalProperties   The optional additional properties to load.
     */
    Load(bodyType?: BodyType, additionalProperties?: PropertyDefinitionBase[]): Promise<void>;
    ReadElementsFromXmlJsObjectToPatch(reader: any): boolean;
}
