import { Item } from "../Core/ServiceObjects/Items/Item";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents a collection of items.
 */
export declare class ItemCollection<TItem extends Item> extends ComplexProperty {
    __implements: string[];
    private items;
    /**
     * Gets the total number of items in the collection.
     */
    get Count(): number;
    /**
     * Gets the item at the specified index.
     *
     * @param   {number}   index   The zero-based index of the item to get.
     * @return  {TItem}     The item at the specified index.
     */
    _getItem(index: number): TItem;
    /**
     * Initializes a new instance of the **ItemCollection** class.
     *
     */
    constructor();
    GetEnumerator(): any;
}
