import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the MIME content of an item.
 */
export declare abstract class MimeContentBase extends ComplexProperty {
    /**
     * characterSet returned
     */
    private characterSet;
    /**
     * content received
     */
    private content;
    /**
     * to set XMLElementName when reading XML JsObject value.
     */
    protected xmlElementName: string;
    /**
     * Gets or sets the character set of the content.
     */
    get CharacterSet(): string;
    set CharacterSet(value: string);
    /**
     * Gets or sets the content.  - ews-javascript-api this is base64 value without encoding applied.
     */
    get Content(): string;
    set Content(value: string);
}
