import { BodyType } from "../Enumerations/BodyType";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the normalized body of an item - the HTML fragment representation of the body.
 */
export declare class NormalizedBody extends ComplexProperty {
    private bodyType;
    private text;
    private isTruncated;
    /**
     * Gets the type of the normalized body's text.
     */
    get BodyType(): BodyType;
    set BodyType(value: BodyType);
    /**
     * Gets the text of the normalized body.
     */
    get Text(): string;
    set Text(value: string);
    /**
     * Gets whether the body is truncated.
     */
    get IsTruncated(): boolean;
    set IsTruncated(value: boolean);
    /**
     * Initializes a new instance of the **NormalizedBody** class.
     */
    constructor();
    /**
     * Returns a **String** that represents the current **Object**.
     *
     * @return  {string}      A **String** that represents the current **Object**.
     */
    ToString(): string;
    toString(): string;
}
