import { DateTime } from "../DateTime";
import { ItemId } from "./ItemId";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Encapsulates information on the occurrence of a recurring appointment.
 */
export declare class OccurrenceInfo extends ComplexProperty {
    private itemId;
    private start;
    private end;
    private originalStart;
    /**
     * Gets the Id of the occurrence.
     */
    get ItemId(): ItemId;
    /**
     * Gets the start date and time of the occurrence.
     */
    get Start(): DateTime;
    /**
     * Gets the end date and time of the occurrence.
     */
    get End(): DateTime;
    /**
     * Gets the original start date and time of the occurrence.
     */
    get OriginalStart(): DateTime;
}
