import { LobbyBypass } from "../Enumerations/LobbyBypass";
import { OnlineMeetingAccessLevel } from "../Enumerations/OnlineMeetingAccessLevel";
import { Presenters } from "../Enumerations/Presenters";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents Lync online meeting settings.
 */
export declare class OnlineMeetingSettings extends ComplexProperty {
    private lobbyBypass;
    private accessLevel;
    private presenters;
    /**
     * Gets or sets the online meeting setting that describes whether users dialing in by phone have to wait in the lobby.
     */
    get LobbyBypass(): LobbyBypass;
    set LobbyBypass(value: LobbyBypass);
    /**
     * Gets or sets the online meeting setting that describes access permission to the meeting.
     */
    get AccessLevel(): OnlineMeetingAccessLevel;
    set AccessLevel(value: OnlineMeetingAccessLevel);
    /**
     * Gets or sets the online meeting setting that defines the meeting leaders.
     */
    get Presenters(): Presenters;
    set Presenters(value: Presenters);
    /**
     * Initializes a new instance of the **OnlineMeetingSettings** class.
     */
    constructor();
}
