import { LocationSource } from "../Enumerations/LocationSource";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents PersonaPostalAddress.
 */
export declare class PersonaPostalAddress extends ComplexProperty {
    private street;
    private city;
    private state;
    private country;
    private postalCode;
    private postOfficeBox;
    private type;
    private latitude;
    private longitude;
    private accuracy;
    private altitude;
    private altitudeAccuracy;
    private formattedAddress;
    private uri;
    private source;
    /**
     * Gets or sets the Street.
     */
    get Street(): string;
    set Street(value: string);
    /**
     * Gets or sets the City.
     */
    get City(): string;
    set City(value: string);
    /**
     * Gets or sets the state.
     */
    get State(): string;
    set State(value: string);
    /**
     * Gets or sets the Country.
     */
    get Country(): string;
    set Country(value: string);
    /**
     * Gets or sets the PostalCode.
     */
    get PostalCode(): string;
    set PostalCode(value: string);
    /**
     * Gets or sets the PostOfficeBox.
     */
    get PostOfficeBox(): string;
    set PostOfficeBox(value: string);
    /**
     * Gets or sets the Type.
     */
    get Type(): string;
    set Type(value: string);
    /**
     * Gets or sets the location source type.
     */
    get Source(): LocationSource;
    set Source(value: LocationSource);
    /**
     * Gets or sets the location Uri.
     */
    get Uri(): string;
    set Uri(value: string);
    /**
     * Gets or sets a value indicating location latitude.
     */
    get Latitude(): number;
    set Latitude(value: number);
    /**
     * Gets or sets a value indicating location longitude.
     */
    get Longitude(): number;
    set Longitude(value: number);
    /**
     * Gets or sets the location accuracy.
     */
    get Accuracy(): number;
    set Accuracy(value: number);
    /**
     * Gets or sets the location altitude.
     */
    get Altitude(): number;
    set Altitude(value: number);
    /**
     * Gets or sets the location altitude accuracy.
     */
    get AltitudeAccuracy(): number;
    set AltitudeAccuracy(value: number);
    /**
     * Gets or sets the street address.
     */
    get FormattedAddress(): string;
    set FormattedAddress(value: string);
    /**
     * Initializes a new instance of the **PersonaPostalAddress** class.
     *
     * @param   {string}            street             The Street Address.
     * @param   {string}            city               The City value.
     * @param   {string}            state              The State value.
     * @param   {string}            country            The country value.
     * @param   {string}            postalCode         The postal code value.
     * @param   {string}            postOfficeBox      The Post Office Box.
     * @param   {LocationSource}    locationSource     The location Source.
     * @param   {string}            locationUri        The location Uri.
     * @param   {string}            formattedAddress   The location street Address in formatted address.
     * @param   {number}            latitude           The location latitude.
     * @param   {number}            longitude          The location longitude.
     * @param   {number}            accuracy           The location accuracy.
     * @param   {number}            altitude           The location altitude.
     * @param   {number}            altitudeAccuracy   The location altitude Accuracy.
     */
    constructor(street: string, city: string, state: string, country: string, postalCode: string, postOfficeBox: string, locationSource: LocationSource, locationUri: string, formattedAddress: string, latitude: number, longitude: number, accuracy: number, altitude: number, altitudeAccuracy: number);
}
