import { ExchangeService } from "../Core/ExchangeService";
import { ServiceObject } from "../Core/ServiceObjects/ServiceObject";
import { PropertyDefinition } from "../PropertyDefinitions/PropertyDefinition";
import { PhysicalAddressKey } from "../Enumerations/PhysicalAddressKey";
import { DictionaryEntryProperty } from "./DictionaryEntryProperty";
/**
 * PhysicalAddressEntry class
 */
export declare class PhysicalAddressEntry extends DictionaryEntryProperty<PhysicalAddressKey> {
    private propertyBag;
    get Street(): string;
    set Street(value: string);
    get City(): string;
    set City(value: string);
    get State(): string;
    set State(value: string);
    get CountryOrRegion(): string;
    set CountryOrRegion(value: string);
    get PostalCode(): string;
    set PostalCode(value: string);
    constructor();
    ClearChangeLog(): void;
    private GetFieldUri;
    InternalToJson(service: ExchangeService): any;
    InternalWriteDeleteUpdateToJson(ewsObject: ServiceObject, propertyName: string, updates: any[]): void;
    LoadFromJson(jsonProperty: any, service: ExchangeService): void;
    PropertyBagChanged(): void;
    LoadFromXmlJsObject(jsonProperty: any, service: ExchangeService): void;
    WriteDeleteUpdateToJson(service: ExchangeService, ewsObject: ServiceObject, updates: any[]): boolean;
    WriteSetUpdateToJson(service: ExchangeService, ewsObject: ServiceObject, propertyDefinition: PropertyDefinition, updates: any[]): boolean;
}
