import { DateTime } from "../../../DateTime";
import { Month } from "../../../Enumerations/Month";
import { Recurrence } from "./Recurrence";
/**
 * Represents a recurrence pattern where each occurrence happens on a specific day every year.
 */
export declare class YearlyPattern extends Recurrence {
    private month;
    private dayOfMonth;
    /**
     * Gets or sets the month of the year when each occurrence happens.
     */
    get Month(): Month;
    set Month(value: Month);
    /**
     * Gets or sets the day of the month when each occurrence happens. DayOfMonth must be between 1 and 31.
     */
    get DayOfMonth(): number;
    set DayOfMonth(value: number);
    /**
     * Initializes a new instance of the **YearlyPattern** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **YearlyPattern** class.
     *
     * @param   {DateTime}  startDate    The date and time when the recurrence starts.
     * @param   {Month}     month        The month of the year each occurrence happens.
     * @param   {number}    dayOfMonth   The day of the month each occurrence happens.
     */
    constructor(startDate: DateTime, month: Month, dayOfMonth: number);
}
