import { Guid } from "../Guid";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the retention tag of an item.
 */
export declare class RetentionTagBase extends ComplexProperty {
    /**
     * Xml element name.
     */
    private xmlElementName;
    /**
     * Is explicit.
     */
    private isExplicit;
    /**
     * Retention id.
     */
    private retentionId;
    /**
     * Gets or sets if the tag is explicit.
     */
    get IsExplicit(): boolean;
    set IsExplicit(value: boolean);
    /**
     * Gets or sets the retention id.
     */
    get RetentionId(): Guid;
    set RetentionId(value: Guid);
    /**
     * Initializes a new instance of the **RetentionTagBase** class.
     *
     * @param {string}  xmlElementName   Xml element name.
     */
    constructor(xmlElementName: string);
    /**
     * Returns a **String** that represents the current **Object**.
     *
     * @return  {string}      A **String** that represents the current **Object**.
     */
    ToString(): string;
    toString(): string;
}
