import { IEnumerable } from "../Interfaces/IEnumerable";
import { Rule } from "./Rule";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents a collection of rules.
 *
 * @sealed
 */
export declare class RuleCollection extends ComplexProperty implements IEnumerable<Rule> {
    /**
     * The OutlookRuleBlobExists flag.
     */
    private outlookRuleBlobExists;
    /**
     * The rules in the rule collection.
     */
    private rules;
    /**
     * Gets a value indicating whether an Outlook rule blob exists in the user's mailbox. To update rules with EWS when the Outlook rule blob exists, call SetInboxRules passing true as the value of the removeOutlookBlob parameter.
     */
    get OutlookRuleBlobExists(): boolean;
    set OutlookRuleBlobExists(value: boolean);
    /**
     * Gets the number of rules in this collection.
     */
    get Count(): number;
    /**
     * Gets the rule at the specified index in the collection.
     *
     * @param   {number}   index   The index of the rule to get.
     * @return  {Rule}	The rule at the specified index.
     */
    _getItem(index: number): Rule;
    /**
     *  Returns an enumerator that iterates through the collection. this case this.rules
     */
    GetEnumerator(): Rule[];
}
