import { RuleErrorCode } from "../Enumerations/RuleErrorCode";
import { RuleProperty } from "../Enumerations/RuleProperty";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents an error that occurred as a result of executing a rule operation.
 *
 * @sealed
 */
export declare class RuleError extends ComplexProperty {
    /**
     * Rule property.
     */
    private ruleProperty;
    /**
     * Rule validation error code.
     */
    private errorCode;
    /**
     * Error message.
     */
    private errorMessage;
    /**
     * Field value.
     */
    private value;
    /**
     * Gets the property which failed validation.
     */
    get RuleProperty(): RuleProperty;
    /**
     * Gets the validation error code.
     */
    get ErrorCode(): RuleErrorCode;
    /**
     * Gets the error message.
     */
    get ErrorMessage(): string;
    /**
     * Gets the value that failed validation.
     */
    get Value(): string;
}
