import { DateTime } from "../DateTime";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the date and time range within which messages have been received.
 *
 * @sealed
 */
export declare class RulePredicateDateRange extends ComplexProperty {
    /**
     * The start DateTime.
     */
    private start;
    /**
     * The end DateTime.
     */
    private end;
    /**
     * @Nullable Gets or sets the range start date and time.
     * If Start is set to null, no start date applies.
     */
    get Start(): DateTime;
    set Start(value: DateTime);
    /**
     * @Nullable Gets or sets the range end date and time.
     * If End is set to null, no end date applies.
     */
    get End(): DateTime;
    set End(value: DateTime);
}
