import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the minimum and maximum size of a message.
 *
 * @sealed
 */
export declare class RulePredicateSizeRange extends ComplexProperty {
    /**
     * Minimum Size.
     */
    private minimumSize;
    /**
     * Mamixmum Size.
     */
    private maximumSize;
    /**
     * @Nullable Gets or sets the minimum size, in kilobytes.
     * If MinimumSize is set to null, no minimum size applies.
     */
    get MinimumSize(): number;
    set MinimumSize(value: number);
    /**
     * @Nullable Gets or sets the maximum size, in kilobytes.
     * If MaximumSize is set to null, no maximum size applies.
     */
    get MaximumSize(): number;
    set MaximumSize(value: number);
}
