import { Rule } from "./Rule";
import { RuleOperation } from "./RuleOperation";
/**
 * Represents an operation to update an existing rule.
 *
 * @sealed
 */
export declare class SetRuleOperation extends RuleOperation {
    /**
     * Inbox rule to be updated.
     */
    private rule;
    /**
     * Gets or sets the rule to be updated.
     */
    get Rule(): Rule;
    set Rule(value: Rule);
    /**
     * Initializes a new instance of the **SetRuleOperation** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **SetRuleOperation** class.
     *
     * @param   {Rule}   rule   The inbox rule to update.
     */
    constructor(rule: Rule);
}
