import { BodyType } from "../Enumerations/BodyType";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the body part of an item that is unique to the conversation the item is part of.
 */
export declare class UniqueBody extends ComplexProperty {
    private bodyType;
    private text;
    private isTruncated;
    /**
     * Gets the type of the normalized body's text.
     */
    get BodyType(): BodyType;
    /**
     * Gets the text of the normalized body.
     */
    get Text(): string;
    /**
     * Gets whether the body is truncated.
     */
    get IsTruncated(): boolean;
    /**
     * Initializes a new instance of the **UniqueBody** class.
     */
    constructor();
    /**
     * Returns a **String** that represents the current **Object**.
     *
     * @return  {string}      A **String** that represents the current **Object**.
     */
    ToString(): string;
    toString(): string;
}
