import { StandardUser } from "../Enumerations/StandardUser";
import { ComplexProperty } from "./ComplexProperty";
/**
 * Represents the Id of a user.
 *
 * @sealed
 */
export declare class UserId extends ComplexProperty {
    private sID;
    private primarySmtpAddress;
    private displayName;
    private standardUser;
    /**
     * Gets or sets the SID of the user.
     */
    get SID(): string;
    set SID(value: string);
    /**
     * Gets or sets the primary SMTP address or the user.
     */
    get PrimarySmtpAddress(): string;
    set PrimarySmtpAddress(value: string);
    /**
     * Gets or sets the display name of the user.
     */
    get DisplayName(): string;
    set DisplayName(value: string);
    /**
     * Gets or sets a value indicating which standard user the user represents.
     *
     * @Nullable
     */
    get StandardUser(): StandardUser;
    set StandardUser(value: StandardUser);
    /**
     * Initializes a new instance of the **UserId** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **UserId** class.
     *
     * @param   {StandardUser}   standardUser   The StandardUser value used to initialize the UserId.
     */
    constructor(standardUser: StandardUser);
    /**
     * Initializes a new instance of the **UserId** class.
     *
     * @param   {string}   primarySmtpAddress   The primary SMTP address used to initialize the UserId.
     */
    constructor(primarySmtpAddress: string);
}
