import { Attachment } from "../../ComplexProperties/Attachment";
import { ServiceResponse } from "./ServiceResponse";
/**
 * Represents the response to an individual attachment deletion operation.
 * @sealed
 */
export declare class DeleteAttachmentResponse extends ServiceResponse {
    private attachment;
    /**
     * Gets the attachment that was deleted.
     */
    get Attachment(): Attachment;
    /**
     * Initializes a new instance of the **DeleteAttachmentResponse** class.
     *
     * @param   {Attachment}   attachment   The attachment.
     */
    constructor(attachment: Attachment);
}
