import { Item } from "../ServiceObjects/Items/Item";
import { GroupedFindItemsResults } from "../../Search/GroupedFindItemsResults";
import { FindItemsResults } from "../../Search/FindItemsResults";
import { PropertySet } from "../PropertySet";
import { ExchangeService } from "../ExchangeService";
import { ServiceResponse } from "./ServiceResponse";
export declare class FindItemResponse<TItem extends Item> extends ServiceResponse {
    get GroupedFindResults(): GroupedFindItemsResults<TItem>;
    get Results(): FindItemsResults<TItem>;
    private results;
    private isGrouped;
    private groupedFindResults;
    private propertySet;
    constructor(isGrouped: boolean, propertySet: PropertySet);
    CreateItemInstance(service: ExchangeService, xmlElementName: string): TItem;
    InternalReadItemsFromJson(jsonObject: any, propertySet: PropertySet, service: ExchangeService, destinationList: TItem[]): void;
    InternalReadItemsFromXmlJsObject(jsonObject: any, propertySet: PropertySet, service: ExchangeService, destinationList: TItem[]): void;
    ReadElementsFromJson(responseObject: any, service: ExchangeService): void;
    ReadElementsFromXmlJsObject(responseObject: any, service: ExchangeService): void;
}
