import { ClientAccessTokenType } from "../../Enumerations/ClientAccessTokenType";
import { ServiceResponse } from "./ServiceResponse";
/**
 * Represents the response to a GetClientAccessToken operation.
 *
 * @sealed
 */
export declare class GetClientAccessTokenResponse extends ServiceResponse {
    Id: string;
    TokenType: ClientAccessTokenType;
    TokenValue: string;
    TTL: number;
    /**
     * Initializes a new instance of the **GetClientAccessTokenResponse** class.
     *
     * @param   {string}   					id          Id
     * @param   {ClientAccessTokenType}   	tokenType   Token type
     */
    constructor(id: string, tokenType: ClientAccessTokenType);
}
