import { Change } from "../../Sync/Change";
import { ChangeCollection } from "../../Sync/ChangeCollection";
import { ServiceObject } from "../ServiceObjects/ServiceObject";
import { ServiceResponse } from "./ServiceResponse";
/**
 * Represents the base response class for synchronuization operations.
 *
 * @sealed
 * @typeparam	{TServiceObject}	ServiceObject type.
 * @typeparam	{TChange}	Change type.
 */
export declare abstract class SyncResponse<TServiceObject extends ServiceObject, TChange extends Change> extends ServiceResponse {
    private changes;
    private propertySet;
    /**
     * Gets a list of changes that occurred on the synchronized folder.
     */
    get Changes(): ChangeCollection<TChange>;
}
