import { Item } from "../Items/Item";
import { MeetingResponse } from "../Items/MeetingResponse";
import { CalendarResponseMessage } from "./CalendarResponseMessage";
/**
 * Represents a meeting acceptance message.
 *
 */
export declare class AcceptMeetingInvitationMessage extends CalendarResponseMessage<MeetingResponse> {
    private tentative;
    /**
     * Gets a value indicating whether the associated meeting is tentatively accepted.
     *
     */
    get Tentative(): boolean;
    /**
     * Initializes a new instance of the **AcceptMeetingInvitationMessage** class.
     *
     * @param   {Item}            referenceItem   The reference item.
     * @param   {boolean}         tentative       if set to true accept invitation tentatively.
     */
    constructor(referenceItem: Item, tentative: boolean);
}
