import { MeetingCancellation } from "../Items/MeetingCancellation";
import { MessageBody } from "../../../ComplexProperties/MessageBody";
import { ExchangeVersion } from "../../../Enumerations/ExchangeVersion";
import { ServiceObjectSchema } from "../Schemas/ServiceObjectSchema";
import { Item } from "../Items/Item";
import { CalendarResponseMessageBase } from "./CalendarResponseMessageBase";
/**
 * Represents a meeting cancellation message.
 *
 */
export declare class CancelMeetingMessage extends CalendarResponseMessageBase<MeetingCancellation> {
    /**
     * Gets or sets the body of the response.
     *
     */
    get Body(): MessageBody;
    set Body(value: MessageBody);
    /**
     * Initializes a new instance of the **CancelMeetingMessage** class.
     *
     * @param   {Item}   referenceItem   The reference item.
     */
    constructor(referenceItem: Item);
    /**
     * Gets the minimum required server version.
     *
     * @return  {ExchangeVersion}      Earliest Exchange version in which this service object type is supported.
     */
    GetMinimumRequiredServerVersion(): ExchangeVersion;
    /**
     * Internal method to return the schema associated with this type of object.
     *
     * @return  {ServiceObjectSchema}      The schema associated with this type of object.
     */
    GetSchema(): ServiceObjectSchema;
    /**
     * Gets the element name of item in XML
     *
     * @return  {string} name of elelment
     */
    GetXmlElementName(): string;
}
