import { ServiceObject } from "./ServiceObject";
import { IndexerWithStringKey } from "../../AltDictionary";
import { Item } from "./Items/Item";
import { CreateServiceObjectWithAttachmentParam, CreateServiceObjectWithServiceParam } from "../../Misc/DelegateTypes";
import { ExchangeService } from "../ExchangeService";
import { ItemAttachment } from "../../ComplexProperties/ItemAttachment";
/**
 * Moved part of CreateEwsObjectFromXmlElementName to different object type like FolderInfo, itemInfo etc
 */
export declare class ServiceObjectInfo {
    get XmlElementNameToServiceObjectClassMap(): IndexerWithStringKey<string>;
    get ServiceObjectConstructorsWithServiceParam(): IndexerWithStringKey<CreateServiceObjectWithServiceParam>;
    get ServiceObjectConstructorsWithAttachmentParam(): IndexerWithStringKey<CreateServiceObjectWithAttachmentParam>;
    private xmlElementNameToServiceObjectClassMap;
    private serviceObjectConstructorsWithServiceParam;
    private serviceObjectConstructorsWithAttachmentParam;
    constructor();
    protected AddServiceObjectType(xmlElementName: string, type: string, createServiceObjectWithServiceParam: CreateServiceObjectWithServiceParam, createServiceObjectWithAttachmentParam: CreateServiceObjectWithAttachmentParam): any;
    InitializeServiceObjectClassMap(): any;
    CreateEwsObjectFromXmlElementName<TServiceObject extends ServiceObject>(service: ExchangeService, xmlElementName: string): TServiceObject;
    CreateItemFromItemClass(itemAttachment: ItemAttachment, itemClass: string, isNew: boolean): Item;
    static IsFolderType(xmlElementName: string): boolean;
}
