import { IOutParam } from "../Interfaces/IOutParam";
import { StringKeyPicker } from "../AltDictionary";
import { PropertyBagChangedDelegate } from "../Misc/DelegateTypes";
export declare class SimplePropertyBag<TKey> {
    private items;
    private removedItems;
    private addedItems;
    private modifiedItems;
    OnChange: PropertyBagChangedDelegate[];
    get AddedItems(): TKey[];
    get RemovedItems(): TKey[];
    get ModifiedItems(): TKey[];
    constructor(keyPicker: StringKeyPicker<TKey>);
    _getItem(key: TKey): any;
    _setItem(key: TKey, value: any): void;
    Changed(): void;
    ClearChangeLog(): void;
    ContainsKey(key: TKey): boolean;
    GetEnumerator(): any;
    InternalAddItemToChangeList(key: TKey, changeList: TKey[]): void;
    InternalRemoveItem(key: TKey): void;
    TryGetValue(key: TKey, value: IOutParam<any>): boolean;
}
