import { Uri } from "../Uri";
import { ITraceListener } from "../Interfaces/ITraceListener";
import { WSSecurityBasedCredentials } from "./WSSecurityBasedCredentials";
export declare class WindowsLiveCredentials extends WSSecurityBasedCredentials {
    static XmlEncNamespace: string;
    static WindowsLiveSoapNamespacePrefix: string;
    static RequestSecurityTokenResponseCollectionElementName: string;
    static RequestSecurityTokenResponseElementName: string;
    static EncryptedDataElementName: string;
    static PpElementName: string;
    static ReqstatusElementName: string;
    static SuccessfulReqstatus: string;
    static XmlSignatureReference: string;
    TraceEnabled: boolean;
    TraceListener: ITraceListener;
    WindowsLiveUrl: Uri;
    IsAuthenticated: boolean;
    private windowsLiveId;
    private password;
    private windowsLiveUrl;
    private isAuthenticated;
    private traceEnabled;
    private traceListener;
    static DefaultWindowsLiveUrl: Uri;
    EmitTokenRequest(uriForTokenEndpointReference: Uri): any;
    MakeTokenRequestToWindowsLive(uriForTokenEndpointReference: Uri): any;
    ProcessTokenResponse(response: any): any;
    TraceResponse(response: any, memoryStream: any): any;
    TraceWebException(e: any): any;
}
