/**
 * Defines the way the FileAs property of a contact is automatically formatted.
 */
export declare enum FileAsMapping {
    /**
     * No automatic formatting is used.
     */
    None = 0,
    /**
     * Surname, GivenName
     */
    SurnameCommaGivenName = 1,
    /**
     * GivenName Surname
     */
    GivenNameSpaceSurname = 2,
    /**
     * Company
     */
    Company = 3,
    /**
     * Surname, GivenName (Company)
     */
    SurnameCommaGivenNameCompany = 4,
    /**
     * Company (SurnameGivenName)
     */
    CompanySurnameGivenName = 5,
    /**
     * SurnameGivenName
     */
    SurnameGivenName = 6,
    /**
     * SurnameGivenName (Company)
     */
    SurnameGivenNameCompany = 7,
    /**
     * Company (Surname, GivenName)
     */
    CompanySurnameCommaGivenName = 8,
    /**
     * SurnameGivenName Suffix
     */
    SurnameGivenNameSuffix = 9,
    /**
     * Surname GivenName (Company)
     */
    SurnameSpaceGivenNameCompany = 10,
    /**
     * Company (Surname GivenName)
     */
    CompanySurnameSpaceGivenName = 11,
    /**
     * Surname GivenName
     */
    SurnameSpaceGivenName = 12,
    /**
     * Display Name (Exchange 2010 or later).
     */
    DisplayName = 13,
    /**
     * GivenName (Exchange 2010 or later).
     */
    GivenName = 14,
    /**
     * Surname GivenName Middle Suffix (Exchange 2010 or later).
     */
    SurnameGivenNameMiddleSuffix = 15,
    /**
     * Surname (Exchange 2010 or later).
     */
    Surname = 16,
    /**
     * Empty (Exchange 2010 or later).
     */
    Empty = 17
}
import { ExchangeVersion } from "./ExchangeVersion";
export declare namespace FileAsMapping {
    /**RequiredServerVersionAttribute */
    function RequiredServerVersion(value: FileAsMapping): ExchangeVersion;
    /**EwsEnumAttribute */
    function FromEwsEnumString(value: string): FileAsMapping;
    /**EwsEnumAttribute */
    function ToEwsEnumString(value: FileAsMapping): string;
}
