/**
 * Defines the scope of FindItems operations.
 */
export declare enum ItemTraversal {
    /**
     * All non deleted items in the specified folder are retrieved.
     */
    Shallow = 0,
    /**
     * Only soft-deleted items are retrieved.
     */
    SoftDeleted = 1,
    /**
     * Only associated items are retrieved (Exchange 2010 or later).
     */
    Associated = 2
}
import { ExchangeVersion } from "./ExchangeVersion";
export declare namespace ItemTraversal {
    /**RequiredServerVersionAttribute */
    function RequiredServerVersion(value: ItemTraversal): ExchangeVersion;
}
