/**
 * Defines the type of an EmailAddress object.
 */
export declare enum MailboxType {
    /**
     * Unknown mailbox type (Exchange 2010 or later).
     */
    Unknown = 0,
    /**
     * The EmailAddress represents a one-off contact (Exchange 2010 or later).
     */
    OneOff = 1,
    /**
     * The EmailAddress represents a mailbox.
     */
    Mailbox = 2,
    /**
     * The EmailAddress represents a public folder.
     */
    PublicFolder = 3,
    /**
     * The EmailAddress represents a Public Group.
     */
    PublicGroup = 4,
    /**
     * The EmailAddress represents a Contact Group.
     */
    ContactGroup = 5,
    /**
     * The EmailAddress represents a store contact or AD mail contact.
     */
    Contact = 6,
    /**
     * The EmailAddress represents a GroupMailbox (Exchange 2015/2016 or later).
     */
    GroupMailbox = 7
}
import { ExchangeVersion } from "./ExchangeVersion";
export declare namespace MailboxType {
    /**RequiredServerVersionAttribute */
    function RequiredServerVersion(value: MailboxType): ExchangeVersion;
    /**EwsEnumAttribute */
    function FromEwsEnumString(value: string): MailboxType;
    /**EwsEnumAttribute */
    function ToEwsEnumString(value: MailboxType): string;
}
