/**
 * Defines how meeting requests are sent to delegates.
 */
export declare enum MeetingRequestsDeliveryScope {
    /**
     * Meeting requests are sent to delegates only.
     */
    DelegatesOnly = 0,
    /**
     * Meeting requests are sent to delegates and to the owner of the mailbox.
     */
    DelegatesAndMe = 1,
    /**
     * Meeting requests are sent to delegates and informational messages are sent to the owner of the mailbox.
     */
    DelegatesAndSendInformationToMe = 2,
    /**
     * Meeting requests are not sent to delegates.  This value is supported only for Exchange 2010 SP1 or later server versions.
     */
    NoForward = 3
}
import { ExchangeVersion } from "./ExchangeVersion";
export declare namespace MeetingRequestsDeliveryScope {
    /**RequiredServerVersionAttribute */
    function RequiredServerVersion(value: MeetingRequestsDeliveryScope): ExchangeVersion;
}
