/**
 * The values in this enumeration must match the values of the DistinguishedFolderIdNameType type in the schema.
 */
export declare enum WellKnownFolderName {
    /**
     * The Calendar folder.
     */
    Calendar = 0,
    /**
     * The Contacts folder.
     */
    Contacts = 1,
    /**
     * The Deleted Items folder
     */
    DeletedItems = 2,
    /**
     * The Drafts folder.
     */
    Drafts = 3,
    /**
     * The Inbox folder.
     */
    Inbox = 4,
    /**
     * The Journal folder.
     */
    Journal = 5,
    /**
     * The Notes folder.
     */
    Notes = 6,
    /**
     * The Outbox folder.
     */
    Outbox = 7,
    /**
     * The Sent Items folder.
     */
    SentItems = 8,
    /**
     * The Tasks folder.
     */
    Tasks = 9,
    /**
     * The message folder root.
     */
    MsgFolderRoot = 10,
    /**
     * The root of the Public Folders hierarchy.
     */
    PublicFoldersRoot = 11,
    /**
     * The root of the mailbox.
     */
    Root = 12,
    /**
     * The Junk E-mail folder.
     */
    JunkEmail = 13,
    /**
     * The Search Folders folder, also known as the Finder folder.
     */
    SearchFolders = 14,
    /**
     * The Voicemail folder.
     */
    VoiceMail = 15,
    /**
     * The Dumpster 2.0 root folder.
     */
    RecoverableItemsRoot = 16,
    /**
     * The Dumpster 2.0 soft deletions folder.
     */
    RecoverableItemsDeletions = 17,
    /**
     * The Dumpster 2.0 versions folder.
     */
    RecoverableItemsVersions = 18,
    /**
     * The Dumpster 2.0 hard deletions folder.
     */
    RecoverableItemsPurges = 19,
    /**
     * The Dumpster 2.0 discovery hold folder
     */
    RecoverableItemsDiscoveryHolds = 20,
    /**
     * The root of the archive mailbox.
     */
    ArchiveRoot = 21,
    /**
     * The root of the archive mailbox.
     */
    ArchiveInbox = 22,
    /**
     * The message folder root in the archive mailbox.
     */
    ArchiveMsgFolderRoot = 23,
    /**
     * The Deleted Items folder in the archive mailbox
     */
    ArchiveDeletedItems = 24,
    /**
     * The Dumpster 2.0 root folder in the archive mailbox.
     */
    ArchiveRecoverableItemsRoot = 25,
    /**
     * The Dumpster 2.0 soft deletions folder in the archive mailbox.
     */
    ArchiveRecoverableItemsDeletions = 26,
    /**
     * The Dumpster 2.0 versions folder in the archive mailbox.
     */
    ArchiveRecoverableItemsVersions = 27,
    /**
     * The Dumpster 2.0 hard deletions folder in the archive mailbox.
     */
    ArchiveRecoverableItemsPurges = 28,
    /**
     * The Dumpster 2.0 discovery hold folder in the archive mailbox.
     */
    ArchiveRecoverableItemsDiscoveryHolds = 29,
    /**
     * The Sync Issues folder.
     */
    SyncIssues = 30,
    /**
     * The Conflicts folder
     */
    Conflicts = 31,
    /**
     * The Local failures folder
     */
    LocalFailures = 32,
    /**
     * The Server failures folder
     */
    ServerFailures = 33,
    /**
     * The Recipient Cache folder
     */
    RecipientCache = 34,
    /**
     * The Quick Contacts folder
     */
    QuickContacts = 35,
    /**
     * Conversation history folder
     */
    ConversationHistory = 36,
    /**
     * AdminAuditLogs folder
     */
    AdminAuditLogs = 37,
    /**
     * ToDo search folder
     */
    ToDoSearch = 38,
    /**
     * MyContacts folder
     */
    MyContacts = 39,
    /**
     * Directory (GAL)
     * It is not a mailbox folder. It only indicates any GAL operation.
     */
    Directory = 40,
    /**
     * IMContactList folder
     */
    IMContactList = 41,
    /**
     * PeopleConnect folder
     */
    PeopleConnect = 42,
    /**
     * Favorites folder
     */
    Favorites = 43,
    /**
     * Updated from latest Types.xsd in 03/2023
     */
    MeContact = 44,
    PersonMetaData = 45,
    TeamSpaceActivity = 46,
    TeamSpaceMessaging = 47,
    TeamSpaceWorkItems = 48,
    Scheduled = 49,
    OrionNotes = 50,
    TagItems = 51,
    AllTaggedItems = 52,
    AllCategorizedItems = 53,
    ExternalContacts = 54,
    TeamChat = 55,
    TeamChatHistory = 56,
    YammerData = 57,
    YammerRoot = 58,
    YammerInbound = 59,
    YammerOutbound = 60,
    YammerFeeds = 61,
    KaizalaData = 62,
    MessageIngestion = 63,
    OneDriveRoot = 64,
    OneDriveRecyleBin = 65,
    OneDriveSystem = 66,
    OneDriveVolume = 67,
    Important = 68,
    Starred = 69,
    Archive = 70
}
import { ExchangeVersion } from "./ExchangeVersion";
export declare namespace WellKnownFolderName {
    /**RequiredServerVersionAttribute */
    function RequiredServerVersion(value: WellKnownFolderName): ExchangeVersion;
    /**EwsEnumAttribute */
    function FromEwsEnumString(value: string): any;
    /**EwsEnumAttribute */
    function ToEwsEnumString(value: any): string;
}
