import { AutodiscoverErrorCode } from "../Enumerations/AutodiscoverErrorCode";
import { ServiceRemoteException } from "./ServiceRemoteException";
/**
 * Represents an exception from an autodiscover error response.
 *
 * @extends {ServiceRemoteException}
 */
export declare class AutodiscoverResponseException extends ServiceRemoteException {
    /**
     * Error code when Autodiscover service operation failed remotely.
     */
    private errorCode;
    /**
     * Gets the ErrorCode for the exception.
     */
    get ErrorCode(): AutodiscoverErrorCode;
}
