import { ServiceError } from "../Enumerations/ServiceError";
import { ServiceResponse } from "../Core/Responses/ServiceResponse";
import { ServiceRemoteException } from "./ServiceRemoteException";
/**
 * Represents a remote service exception that has a single response.
 */
export declare class ServiceResponseException extends ServiceRemoteException {
    /**
     * Error details Value keys
     */
    private static ExceptionClassKey;
    private static ExceptionMessageKey;
    private static StackTraceKey;
    /**
     * ServiceResponse when service operation failed remotely.
     */
    private response;
    /**
     * Gets the ServiceResponse for the exception.
     */
    get Response(): ServiceResponse;
    /**
     * Gets the service error code.
     */
    get ErrorCode(): ServiceError;
    /**
     * Gets a message that describes the current exception.
     *
     * @returns The error message that explains the reason for the exception.
     */
    get Message(): string;
}
