import { RuleOperationErrorCollection } from "../ComplexProperties/RuleOperationErrorCollection";
import { ServiceError } from "../Enumerations/ServiceError";
import { ServiceResponse } from "../Core/Responses/ServiceResponse";
import { ServiceRemoteException } from "./ServiceRemoteException";
/**
 * Represents an exception thrown when an error occurs as a result of calling the UpdateInboxRules operation.
 *
 * @sealed
 */
export declare class UpdateInboxRulesException extends ServiceRemoteException {
    /**
     * ServiceResponse when service operation failed remotely.
     */
    private serviceResponse;
    /**
     * Rule operation error collection.
     */
    private errors;
    /**
     * Gets the ServiceResponse for the exception.
     */
    get ServiceResponse(): ServiceResponse;
    /**
     * Gets the rule operation error collection.
     */
    get Errors(): RuleOperationErrorCollection;
    /**
     * Gets the rule operation error code.
     */
    get ErrorCode(): ServiceError;
    /**
     * Gets the rule operation error message.
     */
    get ErrorMessage(): string;
}
