import { HoldStatus } from "../Enumerations/HoldStatus";
/**
 * Represents mailbox hold status
 *
 * @sealed
 */
export declare class MailboxHoldStatus {
    /**
     * Mailbox
     */
    Mailbox: string;
    /**
     * Hold Status
     */
    Status: HoldStatus;
    /**
     * Additional Info
     */
    AdditionalInfo: string;
    /**
     * Constructor
     */
    constructor();
    /**
     * Constructor
     *
     * @param   {string}        mailbox          Mailbox
     * @param   {HoldStatus}    status           Hold status
     * @param   {string}        additionalInfo   Additional info
     */
    constructor(mailbox: string, status: HoldStatus, additionalInfo: string);
}
