import { MailboxSearchScope } from "./MailboxSearchScope";
/**
 * Represents mailbox query object.
 *
 * @sealed
 */
export declare class MailboxQuery {
    /**
     * Search query
     */
    Query: string;
    /**
     * Set of mailbox and scope pair
     */
    MailboxSearchScopes: MailboxSearchScope[];
    /**
     * Constructor
     *
     * @param   {string}                query          Search query
     * @param   {MailboxSearchScope[]}  searchScopes   Set of mailbox and scope pair
     */
    constructor(query: string, searchScopes: MailboxSearchScope[]);
}
