import { DateTime } from "../DateTime";
import { ItemId } from "../ComplexProperties/ItemId";
import { ItemIndexError } from "../Enumerations/ItemIndexError";
/**
 * Represents non indexable item.
 *
 * @sealed
 */
export declare class NonIndexableItem {
    /**
     * Item Identity
     */
    ItemId: ItemId;
    /**
     * Error code
     */
    ErrorCode: ItemIndexError;
    /**
     * Error description
     */
    ErrorDescription: string;
    /**
     * Is partially indexed
     */
    IsPartiallyIndexed: boolean;
    /**
     * Is permanent failure
     */
    IsPermanentFailure: boolean;
    /**
     * Attempt count
     */
    AttemptCount: number;
    /**
     * Last attempt time
     */
    LastAttemptTime: DateTime;
    /**
     * Additional info
     */
    AdditionalInfo: string;
    /**
     * Sort value
     */
    SortValue: string;
}
