import { SearchPageDirection } from "../Enumerations/SearchPageDirection";
/**
 * Represents non indexable item parameters base class
 */
export declare abstract class NonIndexableItemParameters {
    /**
     * List of mailboxes (in legacy DN format)
     */
    Mailboxes: string[];
    /**
     * Search archive only
     */
    SearchArchiveOnly: boolean;
}
/**
 * Represents get non indexable item statistics parameters.
 *
 * @sealed
 */
export declare class GetNonIndexableItemStatisticsParameters extends NonIndexableItemParameters {
}
/**
 * Represents get non indexable item details parameters.
 *
 * @sealed
 */
export declare class GetNonIndexableItemDetailsParameters extends NonIndexableItemParameters {
    /**
     * @Nullable Page size
     */
    PageSize: number;
    /**
     * Page item reference
     */
    PageItemReference: string;
    /**
     * @Nullable Search page direction
     */
    PageDirection: SearchPageDirection;
}
