import { ExtendedPropertyDefinition } from "../PropertyDefinitions/ExtendedPropertyDefinition";
import { PreviewItemBaseShape } from "../Enumerations/PreviewItemBaseShape";
/**
 * Represents preview item response shape
 *
 * @sealed
 */
export declare class PreviewItemResponseShape {
    /**
     * Mailbox identifier
     */
    BaseShape: PreviewItemBaseShape;
    /**
     * Additional properties (must be in form of extended properties)
     */
    AdditionalProperties: ExtendedPropertyDefinition[];
    /**
     * Constructor
     */
    constructor();
    /**
     * Constructor
     *
     * @param   {PreviewItemBaseShape}          baseShape              Preview item base shape
     * @param   {ExtendedPropertyDefinition[]}  additionalProperties   Additional properties (must be in form of extended properties)
     */
    constructor(baseShape: PreviewItemBaseShape, additionalProperties: ExtendedPropertyDefinition[]);
}
