import { MailboxQuery } from "./MailboxQuery";
import { PreviewItemResponseShape } from "./PreviewItemResponseShape";
import { SearchPageDirection } from "../Enumerations/SearchPageDirection";
import { SearchResultType } from "../Enumerations/SearchResultType";
import { SortDirection } from "../Enumerations/SortDirection";
/**
 * Represents search mailbox parameters.
 *
 * @sealed
 */
export declare class SearchMailboxesParameters {
    /**
     * Search queries
     */
    SearchQueries: MailboxQuery[];
    /**
     * Result type
     */
    ResultType: SearchResultType;
    /**
     * Sort by property
     */
    SortBy: string;
    /**
     * Sort direction
     */
    SortOrder: SortDirection;
    /**
     * Perform deduplication
     */
    PerformDeduplication: boolean;
    /**
     * Page size
     */
    PageSize: number;
    /**
     * Search page direction
     */
    PageDirection: SearchPageDirection;
    /**
     * Page item reference
     */
    PageItemReference: string;
    /**
     * Preview item response shape
     */
    PreviewItemResponseShape: PreviewItemResponseShape;
    /**
     * Query language
     */
    Language: string;
}
