import { DateTime } from "../DateTime";
import { ExtendedPropertyCollection } from "../ComplexProperties/ExtendedPropertyCollection";
import { Importance } from "../Enumerations/Importance";
import { ItemId } from "../ComplexProperties/ItemId";
import { PreviewItemMailbox } from "./PreviewItemMailbox";
/**
 * Represents search preview item.
 *
 * @sealed
 */
export declare class SearchPreviewItem {
    /**
     * Item id
     */
    Id: ItemId;
    /**
     * Mailbox
     */
    Mailbox: PreviewItemMailbox;
    /**
     * Parent item id
     */
    ParentId: ItemId;
    /**
     * Item Class
     */
    ItemClass: string;
    /**
     * Unique hash
     */
    UniqueHash: string;
    /**
     * Sort Value
     */
    SortValue: string;
    /**
     * OWA Link
     */
    OwaLink: string;
    /**
     * Sender
     */
    Sender: string;
    /**
     * To recipients
     */
    ToRecipients: string[];
    /**
     * Cc recipients
     */
    CcRecipients: string[];
    /**
     * Bcc recipients
     */
    BccRecipients: string[];
    /**
     * Created Time
     */
    CreatedTime: DateTime;
    /**
     * Received Time
     */
    ReceivedTime: DateTime;
    /**
     * Sent Time
     */
    SentTime: DateTime;
    /**
     * Subject
     */
    Subject: string;
    /**
     * Item size
     */
    Size: number;
    /**
     * Preview
     */
    Preview: string;
    /**
     * Importance
     */
    Importance: Importance;
    /**
     * Read
     */
    Read: boolean;
    /**
     * Has attachment
     */
    HasAttachment: boolean;
    /**
     * Extended properties
     */
    ExtendedProperties: ExtendedPropertyCollection;
}
