import { Guid } from "../Guid";
/**
 * Represents searchable mailbox object
 *
 * @sealed
 */
export declare class SearchableMailbox {
    /**
     * Guid
     */
    Guid: Guid;
    /**
     * Smtp address
     */
    SmtpAddress: string;
    /**
     * If true, this is an external mailbox
     */
    IsExternalMailbox: boolean;
    /**
     * External email address for the mailbox
     */
    ExternalEmailAddress: string;
    /**
     * Display name
     */
    DisplayName: string;
    /**
     * Is a membership group
     */
    IsMembershipGroup: boolean;
    /**
     * Reference id
     */
    ReferenceId: string;
    /**
     * Constructor
     */
    constructor();
    /**
     * Constructor
     *
     * @param   {Guid}      guid                   Guid
     * @param   {string}    smtpAddress            Smtp address
     * @param   {boolean}   isExternalMailbox      If true, this is an external mailbox
     * @param   {string}    externalEmailAddress   External email address
     * @param   {string}    displayName            Display name
     * @param   {boolean}   isMembershipGroup      Is a membership group
     * @param   {string}    referenceId            Reference id
     */
    constructor(guid: Guid, smtpAddress: string, isExternalMailbox: boolean, externalEmailAddress: string, displayName: string, isMembershipGroup: boolean, referenceId: string);
}
