import { HoldAction } from "../Enumerations/HoldAction";
/**
 * Represents set hold on mailboxes parameters.
 *
 * @sealed
 */
export declare class SetHoldOnMailboxesParameters {
    /**
     * Action type
     */
    ActionType: HoldAction;
    /**
     * Hold id
     */
    HoldId: string;
    /**
     * Query
     */
    Query: string;
    /**
     * Collection of mailboxes
     */
    Mailboxes: string[];
    /**
     * Query language
     */
    Language: string;
    /**
     * In-place hold identity
     */
    InPlaceHoldIdentity: string;
    /**
     * Item hold period
     * *The text value can be "Unlimited" or the string value of any Timespan value.*
     *
     * per github issue #120
     */
    ItemHoldPeriod: string;
    /**
     * Include Non Indexable Items
     *
     * per github issue #120
     */
    IncludeNonIndexableItems: boolean;
    /**
     * Perform deduplication
     *
     * per github issue #120
     */
    PerformDeduplication: boolean;
}
