/**
 * Represents an Out of Office response.
 */
export declare class OofReply {
    private culture;
    private message;
    /**
     * Gets or sets the culture of the reply.
     */
    get Culture(): string;
    set Culture(value: string);
    /**
     * Gets or sets the culture of the reply.
     */
    get Message(): string;
    set Message(value: string);
    /**
     * Initializes a new instance of the **OofReply** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **OofReply** class.
     *
     * @param   {string}   message   The reply message.
     */
    constructor(message: string);
    /**
     * Obtains a string representation of the reply.
     *
     * @return  {string}      A string containing the reply message.
     */
    ToString(): string;
    toString(): string;
}
