import { DateTime } from "../../DateTime";
import { ISelfValidate } from "../../Interfaces/ISelfValidate";
/**
 * Represents a time period.
 *
 * @sealed
 */
export declare class TimeWindow implements ISelfValidate {
    /**
     * Gets or sets the start date and time.
     */
    StartTime: DateTime;
    /**
     * Gets or sets the end date and time.
     */
    EndTime: DateTime;
    /**
     * Initializes a new instance of the **TimeWindow** class.
     *
     * @param   {DateTime}   startTime   The start date and time.
     * @param   {DateTime}   endTime     The end date and time.
     */
    constructor(startTime: DateTime, endTime: DateTime);
    /**
     * Validates this instance.
     *
     * ISelfValidate.Validate
     */
    Validate(): void;
    /**
     * Writes to XML.
     *
     * @param   {EwsServiceXmlWriter}   writer           The writer.
     * @param   {string}                xmlElementName   Name of the XML element.
     * @param   {any}                   startTime        The start time.
     * @param   {any}                   endTime          The end time.
     */
    private static WriteToXml;
}
