import { DelegateUserResponse } from "../Core/Responses/DelegateUserResponse";
import { MeetingRequestsDeliveryScope } from "../Enumerations/MeetingRequestsDeliveryScope";
/**
 * Represents the results of a GetDelegates operation.
 *
 * @sealed
 */
export declare class DelegateInformation {
    private delegateUserResponses;
    private meetingReqestsDeliveryScope;
    /**
     * Gets a list of responses for each of the delegate users concerned by the operation.
     */
    get DelegateUserResponses(): DelegateUserResponse[];
    /**
     * Gets a value indicating if and how meeting requests are delivered to delegates.
     */
    get MeetingRequestsDeliveryScope(): MeetingRequestsDeliveryScope;
}
