import { ItemAttachment } from "../ComplexProperties/ItemAttachment";
import { ExchangeVersion } from "../Enumerations/ExchangeVersion";
import { PropertyDefinition } from "../PropertyDefinitions/PropertyDefinition";
import { ComplexProperty } from "../ComplexProperties/ComplexProperty";
import { ExchangeService } from "../Core/ExchangeService";
import { ServiceObject } from "../Core/ServiceObjects/ServiceObject";
import { Dictionary } from "../AltDictionary";
export interface ComplexPropertyChangedDelegate {
    (complexProperty: ComplexProperty): void;
}
export interface GetObjectInstanceDelegate<T> {
    (service: ExchangeService, xmlElementName: string): T;
}
export interface CustomXmlSerializationDelegate {
    (writer: any): any;
}
export interface ResponseHeadersCapturedHandler {
    (responseHeaders: Dictionary<string, string>): void;
}
export interface ServiceObjectChangedDelegate {
    (serviceObject: ServiceObject): void;
}
export interface PropertyBagChangedDelegate {
    (): void;
}
export interface GetPropertyDefinitionCallback {
    (version: ExchangeVersion): PropertyDefinition;
}
export interface CreateComplexPropertyDelegate<TComplexProperty extends ComplexProperty> {
    (): TComplexProperty;
}
export interface CreateServiceObjectWithServiceParam {
    (srv: ExchangeService): any;
}
export interface CreateServiceObjectWithAttachmentParam {
    (itemAttachment: ItemAttachment, isNew: boolean): any;
}
