import { EmailAddress } from "../ComplexProperties/EmailAddress";
import { IEnumerable } from "../Interfaces/IEnumerable";
/**
 * Represents the results of an ExpandGroup operation.
 *
 * @sealed
 */
export declare class ExpandGroupResults implements IEnumerable<EmailAddress> {
    /**
     * True, if all members are returned.
     * EWS always returns true on ExpandDL, i.e. all members are returned.
     */
    private includesAllMembers;
    /**
     * DL members.
     */
    private members;
    /**
     * Gets the number of members that were returned by the ExpandGroup operation.
     * Count might be less than the total number of members in the group, in which case the value of the IncludesAllMembers is false.
     */
    get Count(): number;
    /**
     * Gets a value indicating whether all the members of the group have been returned by ExpandGroup.
     */
    get IncludesAllMembers(): boolean;
    /**
     * Gets the members of the expanded group.
     */
    get Members(): EmailAddress[];
    /**
     *  Returns an enumerator that iterates through the collection. this case this.members
     */
    GetEnumerator(): EmailAddress[];
}
