import { ISelfValidate } from "../../Interfaces/ISelfValidate";
import { IdFormat } from "../../Enumerations/IdFormat";
/**
 * Represents the base class for Id expressed in a specific format.
 */
export declare abstract class AlternateIdBase implements ISelfValidate {
    /**
     * Gets or sets the format in which the Id in expressed.
     */
    Format: IdFormat;
    /**
     * Initializes a new instance of the **AlternateIdBase** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **AlternateIdBase** class.
     *
     * @param   {IdFormat}   format   The format.
     */
    constructor(format: IdFormat);
    /**
     * Validate this instance.
     * ISelfValidate.Validate
     *
     */
    Validate(): void;
}
