import { IdFormat } from "../../Enumerations/IdFormat";
import { AlternatePublicFolderId } from "./AlternatePublicFolderId";
/**
 * Represents the Id of a public folder item expressed in a specific format.
 */
export declare class AlternatePublicFolderItemId extends AlternatePublicFolderId {
    /**
     * Item id.
     */
    private itemId;
    /**
     * The Id of the public folder item.
     */
    get ItemId(): string;
    set ItemId(v: string);
    /**
     * Initializes a new instance of the **AlternatePublicFolderItemId** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **AlternatePublicFolderItemId** class.
     *
     * @param   {IdFormat}  format     The format in which the public folder item Id is expressed.
     * @param   {string}    folderId   The Id of the parent public folder of the public folder item.
     * @param   {string}    itemId     The Id of the public folder item.
     */
    constructor(format: IdFormat, folderId: string, itemId: string);
}
