import { ISelfValidate } from "../Interfaces/ISelfValidate";
/**
 * Represents a mobile phone.
 *
 * @sealed
 */
export declare class MobilePhone implements ISelfValidate {
    /**
     * Name of the mobile phone.
     */
    private name;
    /**
     * Phone number of the mobile phone.
     */
    private phoneNumber;
    /**
     * Gets or sets the name associated with this mobile phone.
     */
    get Name(): string;
    set Name(value: string);
    /**
     * Gets or sets the number of this mobile phone.
     */
    get PhoneNumber(): string;
    set PhoneNumber(value: string);
    /**
     * Initializes a new instance of the **MobilePhone** class.
     */
    constructor();
    /**
     * Initializes a new instance of the **MobilePhone** class.
     *
     * @param   {string}   name          The name associated with the mobile phone.
     * @param   {string}   phoneNumber   The mobile phone number.
     */
    constructor(name: string, phoneNumber: string);
    /**
     * Validates this instance.
     * ISelfValidate.Validate
     */
    Validate(): void;
}
