import { IEnumerable } from "../Interfaces/IEnumerable";
import { NameResolution } from "./NameResolution";
/**
 * Represents a list of suggested name resolutions.
 *
 * @sealed
 */
export declare class NameResolutionCollection implements IEnumerable<NameResolution> {
    private service;
    private includesAllResolutions;
    private items;
    /**
     * Gets the total number of elements in the list.
     */
    get Count(): number;
    /**
     * Gets a value indicating whether more suggested resolutions are available. ResolveName only returns a maximum of 100 name resolutions.
     * When IncludesAllResolutions is false, there were more than 100 matching names on the server. To narrow the search, provide a more precise name to ResolveName.
     */
    get IncludesAllResolutions(): boolean;
    /**
     * Gets the name resolution at the specified index.
     *
     * @param   {number}   index    The index of the name resolution to get.
     * @return  {NameResolution}    The name resolution at the speicfied index.
     */
    _getItem(index: number): NameResolution;
    /**
     *  Returns an enumerator that iterates through the collection. this case this.items
     */
    GetEnumerator(): NameResolution[];
}
