import { FolderId } from "../ComplexProperties/FolderId";
import { NotificationEvent } from "./NotificationEvent";
/**
 * Represents an event that applies to a folder.
 */
export declare class FolderEvent extends NotificationEvent {
    private folderId;
    private oldFolderId;
    /**
     * The new number of unread messages. This is is only meaningful when EventType is equal to EventType.Modified. For all other event types, it's null.
     */
    private unreadCount;
    /**
     * Gets the Id of the folder this event applies to.
     */
    get FolderId(): FolderId;
    /**
     * Gets the Id of the folder that was moved or copied. OldFolderId is only meaningful when EventType is equal to either EventType.Moved or EventType.Copied. For all other event types, OldFolderId is null.
     */
    get OldFolderId(): FolderId;
    /**
     * Gets the new number of unread messages. This is is only meaningful when EventType is equal to EventType.Modified. For all other event types, UnreadCount is null.
     */
    get UnreadCount(): number;
}
