import { ItemId } from "../ComplexProperties/ItemId";
import { NotificationEvent } from "./NotificationEvent";
/**
 * Represents an event that applies to an item.
 */
export declare class ItemEvent extends NotificationEvent {
    /**
     * Id of the item this event applies to.
     */
    private itemId;
    /**
     * Id of the item that moved or copied. This is only meaningful when EventType is equal to either EventType.Moved or EventType.Copied.
     * For all other event types, it's null.
     */
    private oldItemId;
    /**
     * Gets the Id of the item this event applies to.
     */
    get ItemId(): ItemId;
    /**
     * Gets the Id of the item that was moved or copied. OldItemId is only meaningful when EventType is equal to either EventType.Moved or EventType.Copied.
     * For all other event types, OldItemId is null.
     */
    get OldItemId(): ItemId;
}
