import { GetEventsResults } from "./GetEventsResults";
import { SubscriptionBase } from "./SubscriptionBase";
/**
 * Represents a pull subscription.
 *
 * @sealed
 */
export declare class PullSubscription extends SubscriptionBase {
    private moreEventsAvailable;
    /**
     * Gets a value indicating whether more events are available on the server.
     * MoreEventsAvailable is undefined (null) until GetEvents is called.
     */
    get MoreEventsAvailable(): boolean;
    /**
     * Obtains a collection of events that occurred on the subscribed folders since the point in time defined by the Watermark property. When GetEvents succeeds, Watermark is updated.
     *
     * @return  {Promise<GetEventsResults>}      Returns a collection of events that occurred since the last watermark	:Promise.
     */
    GetEvents(): Promise<GetEventsResults>;
    /**
     * Unsubscribes from the pull subscription.
     */
    Unsubscribe(): Promise<void>;
}
