import { ExchangeService } from "../Core/ExchangeService";
import { SubscriptionBase } from "./SubscriptionBase";
/**
 * Represents a streaming subscription.
 *
 * @sealed
 */
export declare class StreamingSubscription extends SubscriptionBase {
    /**
     * Gets the service used to create this subscription.
     */
    get Service(): ExchangeService;
    /**
     * Gets a value indicating whether this subscription uses watermarks.
     */
    protected get UsesWatermark(): boolean;
    /**
     * Unsubscribes from the streaming subscription.
     */
    Unsubscribe(): Promise<void>;
}
