import { ExchangeService } from "../Core/ExchangeService";
/**
 * Represents the base class for event subscriptions.
 */
export declare abstract class SubscriptionBase {
    protected service: ExchangeService;
    private id;
    private watermark;
    /**
     * Gets the session.
     *
     * @value The session.
     */
    get Service(): ExchangeService;
    /**
     * Gets the Id of the subscription.
     *
     * internal set
     */
    get Id(): string;
    set Id(value: string);
    /**
     * Gets the latest watermark of the subscription. Watermark is always null for streaming subscriptions.
     *
     * internal set
     */
    get Watermark(): string;
    set Watermark(value: string);
    /**
     * Gets whether or not this subscription uses watermarks.
     */
    protected get UsesWatermark(): boolean;
}
