import { ExchangeVersion } from "../Enumerations/ExchangeVersion";
import { ServiceObjectPropertyDefinition } from "./ServiceObjectPropertyDefinition";
/**
 * Represents the definition of a folder or item property.
 */
export declare abstract class PropertyDefinition extends ServiceObjectPropertyDefinition {
    private xmlElementName;
    private flags;
    private name;
    private version;
    /**
     * Gets the name of the property.
     */
    get Name(): string;
    set Name(value: string);
    /**
     * Gets the minimum Exchange version that supports this property.
     *
     * @value {ExchangeVersion} The version.
     */
    get Version(): ExchangeVersion;
}
