import { ExchangeVersion } from "../Enumerations/ExchangeVersion";
/**
 * Represents the base class for all property definitions.
 */
export declare abstract class PropertyDefinitionBase {
    /**
     * Gets the minimum Exchange version that supports this property.
     *
     * @value {ExchangeVersion} The version.
     */
    abstract Version: ExchangeVersion;
    /**
     * Gets the type of the property.
     */
    get Type(): any;
    ToString(): string;
}
