import { PropertyDefinitionBase } from "../../PropertyDefinitions/PropertyDefinitionBase";
import { SearchFilter } from "./SearchFilter";
export declare abstract class PropertyBasedFilter extends SearchFilter {
    private propertyDefinition;
    /**
     * Gets or sets the definition of the property that is involved in the search filter. Property definitions are available as static members from schema classes (for example, EmailMessageSchema.Subject, AppointmentSchema.Start, ContactSchema.GivenName, etc.)
     */
    get PropertyDefinition(): PropertyDefinitionBase;
    set PropertyDefinition(value: PropertyDefinitionBase);
}
export interface IPropertyBasedFilter {
    new (): PropertyBasedFilter;
    new (propertyDefinition: PropertyDefinitionBase): PropertyBasedFilter;
}
