import { IContainsSubstring } from "./SearchFilter.ContainsSubstring";
import { IExcludesBitmask } from "./SearchFilter.ExcludesBitmask";
import { IExists } from "./SearchFilter.Exists";
import { IIsEqualTo } from "./SearchFilter.IsEqualTo";
import { IIsGreaterThan } from "./SearchFilter.IsGreaterThan";
import { IIsGreaterThanOrEqualTo } from "./SearchFilter.IsGreaterThanOrEqualTo";
import { IIsLessThan } from "./SearchFilter.IsLessThan";
import { IIsLessThanOrEqualTo } from "./SearchFilter.IsLessThanOrEqualTo";
import { IIsNotEqualTo } from "./SearchFilter.IsNotEqualTo";
import { INot } from "./SearchFilter.Not";
import { IPropertyBasedFilter } from "./SearchFilter.PropertyBasedFilter";
import { IRelationalFilter } from "./SearchFilter.RelationalFilter";
import { ISearchFilterCollection } from "./SearchFilter.SearchFilterCollection";
import { ComplexProperty } from "../../ComplexProperties/ComplexProperty";
/**
 * Represents the base search filter class. Use descendant search filter classes such as SearchFilter.IsEqualTo, SearchFilter.ContainsSubstring and SearchFilter.SearchFilterCollection to define search filters.
 */
export declare abstract class SearchFilter extends ComplexProperty {
    /**
     * Initializes a new instance of the **SearchFilter** class.
     */
    constructor();
    /**
     * Gets the search filter instance.
     *
     * @param {string} localName Name of the local.
     * @returns {SearchFilter}
     */
    static GetSearchFilterInstance(localName: string): SearchFilter;
}
export declare namespace SearchFilter {
    var ContainsSubstring: IContainsSubstring;
    var ExcludesBitmask: IExcludesBitmask;
    var Exists: IExists;
    var IsEqualTo: IIsEqualTo;
    var IsGreaterThan: IIsGreaterThan;
    var IsGreaterThanOrEqualTo: IIsGreaterThanOrEqualTo;
    var IsLessThan: IIsLessThan;
    var IsLessThanOrEqualTo: IIsLessThanOrEqualTo;
    var IsNotEqualTo: IIsNotEqualTo;
    var Not: INot;
    var PropertyBasedFilter: IPropertyBasedFilter;
    var RelationalFilter: IRelationalFilter;
    var SearchFilterCollection: ISearchFilterCollection;
}
