import { Folder } from "../Core/ServiceObjects/Folders/Folder";
import { IEnumerable } from "../Interfaces/IEnumerable";
/**
 * Represents the results of a folder search operation.
 *
 * @sealed
 */
export declare class FindFoldersResults implements IEnumerable<Folder> {
    private totalCount;
    private nextPageOffset;
    private moreAvailable;
    private folders;
    /**
     * Gets the total number of folders matching the search criteria available in the searched folder.
     */
    get TotalCount(): number;
    set TotalCount(value: number);
    /**
     * Gets the offset that should be used with FolderView to retrieve the next page of folders in a FindFolders operation.
     */
    get NextPageOffset(): number;
    set NextPageOffset(value: number);
    /**
     * Gets a value indicating whether more folders matching the search criteria.
     */
    get MoreAvailable(): boolean;
    set MoreAvailable(value: boolean);
    /**
     * Gets a collection containing the folders that were found by the search operation.
     */
    get Folders(): Folder[];
    /**
     *  Returns an enumerator that iterates through the collection. this case this.items
     */
    GetEnumerator(): Folder[];
}
