import { ItemGroup } from "./ItemGroup";
import { Item } from "../Core/ServiceObjects/Items/Item";
/**
 * Represents the results of an item search operation.
 *
 * @sealed
 * @type    {TItem} The type of item returned by the search operation.
 */
export declare class GroupedFindItemsResults<TItem extends Item> {
    private totalCount;
    private nextPageOffset;
    private moreAvailable;
    /**
     * List of ItemGroups.
     */
    private itemGroups;
    /**
     * Gets the total number of items matching the search criteria available in the searched folder.
     */
    get TotalCount(): number;
    set TotalCount(value: number);
    /**
     * Gets the offset that should be used with ItemView to retrieve the next page of items in a FindItems operation.
     */
    get NextPageOffset(): number;
    set NextPageOffset(value: number);
    /**
     * Gets a value indicating whether more items corresponding to the search criteria are available in the searched folder.
     */
    get MoreAvailable(): boolean;
    set MoreAvailable(value: boolean);
    /**
     * Gets the item groups returned by the search operation.
     */
    get ItemGroups(): ItemGroup<TItem>[];
    GetEnumerator(): any;
}
