import { ChangeType } from "../Enumerations/ChangeType";
import { ServiceId } from "../ComplexProperties/ServiceId";
import { ServiceObject } from "../Core/ServiceObjects/ServiceObject";
/**
 * Represents a change as returned by a synchronization operation.
 */
export declare abstract class Change {
    /**
     * The type of change.
     */
    private changeType;
    /**
     * The service object the change applies to.
     */
    private serviceObject;
    /**
     * The Id of the service object the change applies to.
     */
    private id;
    /**
     * Gets the type of the change.
     */
    get ChangeType(): ChangeType;
    set ChangeType(value: ChangeType);
    set ServiceObject(value: ServiceObject);
    set Id(value: ServiceId);
}
