import { Folder } from "../Core/ServiceObjects/Folders/Folder";
import { FolderId } from "../ComplexProperties/FolderId";
import { Change } from "./Change";
/**
 * Represents a change on a folder as returned by a synchronization operation.
 *
 * @sealed
 */
export declare class FolderChange extends Change {
    /**
     * Gets the folder the change applies to. Folder is null when ChangeType is equal to ChangeType.Delete. In that case, use the FolderId property to retrieve the Id of the folder that was deleted.
     */
    get Folder(): Folder;
    /**
     * Gets the Id of the folder the change applies to.
     */
    get FolderId(): FolderId;
}
