import { Item } from "../Core/ServiceObjects/Items/Item";
import { ItemId } from "../ComplexProperties/ItemId";
import { Change } from "./Change";
/**
 * Represents a change on an item as returned by a synchronization operation.
 *
 * @sealed
 */
export declare class ItemChange extends Change {
    private isRead;
    /**
     * Gets the item the change applies to. Item is null when ChangeType is equal to either ChangeType.Delete or ChangeType.ReadFlagChange. In those cases, use the ItemId property to retrieve the Id of the item that was deleted or whose IsRead property changed.
     */
    get Item(): Item;
    /**
     * Gets the IsRead property for the item that the change applies to. IsRead is only valid when ChangeType is equal to ChangeType.ReadFlagChange.
     */
    get IsRead(): boolean;
    set IsRead(value: boolean);
    /**
     * Gets the Id of the item the change applies to.
     */
    get ItemId(): ItemId;
}
