import * as moment from "moment-timezone";
export declare class TimeSpan {
    private get duration();
    private getMomentDuration;
    private setMomentDuration;
    constructor(ms: number);
    constructor(duration: moment.DurationInputArg1 | moment.DurationInputObject);
    constructor(hours: number, minutes: number, seconds: any);
    constructor(days: number, hours: number, minutes: number, seconds: any);
    constructor(days: number, hours: number, minutes: number, seconds: number, milliseconds: any);
    humanize(withSuffix?: boolean): string;
    as(units: moment.unitOfTime.Base): number;
    get Milliseconds(): number;
    get TotalMilliseconds(): number;
    get Seconds(): number;
    get TotalSeconds(): number;
    get Minutes(): number;
    get TotalMinutes(): number;
    get Hours(): number;
    get TotalHours(): number;
    get Days(): number;
    get TotalDays(): number;
    get Months(): number;
    get TotalMonths(): number;
    get Years(): number;
    get TotalYears(): number;
    get Weeks(): number;
    get Totalweeks(): number;
    Add(num: number, unit: moment.unitOfTime.Base): TimeSpan;
    Add(ms: number): TimeSpan;
    Add(ts: TimeSpan): TimeSpan;
    Subtract(n: number, p: moment.unitOfTime.Base): TimeSpan;
    Subtract(n: number): TimeSpan;
    Subtract(d: TimeSpan): TimeSpan;
    ToISOString(): string;
    ToJSON(): string;
    private static MaxSeconds;
    private static MinSeconds;
    private static MaxMilliSeconds;
    private static MinMilliSeconds;
    static readonly Zero: TimeSpan;
    static readonly MaxValueTimeSpan: TimeSpan;
    static readonly MinValueTimeSpan: TimeSpan;
    static FromDays(value: number): TimeSpan;
    static FromHours(value: number): TimeSpan;
    static FromMilliseconds(value: number): TimeSpan;
    static FromMinutes(value: number): TimeSpan;
    static FromSeconds(value: number): TimeSpan;
    valueOf(): number;
    toString(): string;
}
